%define qtmajor	6

%define major	%{version}
%define libname	%mklibname qtadvanceddocking-qt %{qtmajor} %{major}
%define devname %mklibname -d qtadvanceddocking-qt %{qtmajor}

Name:		qtadvanceddocking-qt%{qtmajor}
Summary:	Advanced Docking System for Qt
Version:	4.4.0
Release:	%mkrel 2
License:	LGPLv2
Group:		Development/KDE and Qt
Url:		https://github.com/githubuser0xFFFF/Qt-Advanced-Docking-System
Source0:	https://github.com/githubuser0xFFFF/Qt-Advanced-Docking-System/archive/refs/tags/%{version}/Qt-Advanced-Docking-System-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	git-core
BuildRequires:	python3-devel
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Quick)
BuildRequires:	cmake(Qt6QuickWidgets)
BuildRequires:	rpm_macro(cmake_qt6)

%description
Qt Advanced Docking System lets you create customizable layouts using a full
featured window docking system similar to what is found in many popular
integrated development environments (IDEs) such as Visual Studio.

%package -n %{libname}
Summary:	Advanced Docking System for Qt shared libraries
Group:		System/Libraries

%description -n %{libname}
Qt Advanced Docking System lets you create customizable layouts using a full
featured window docking system similar to what is found in many popular
integrated development environments (IDEs) such as Visual Studio.

%package -n %{devname}
Summary:        Advanced Docking System for Qt development files
Group:		Development/KDE and Qt
Requires:	%{libname} = %{version}-%{release}

%description -n %{devname}
Qt Advanced Docking System lets you create customizable layouts using a full
featured window docking system similar to what is found in many popular
integrated development environments (IDEs) such as Visual Studio.

%prep
%autosetup -p1 -n Qt-Advanced-Docking-System-%{version}

%generate_buildrequires
%pyproject_buildrequires -R

%build
%cmake_qt6 \
  -DADS_VERSION=%{version} \
  -DQT_VERSION_MAJOR=%{qtmajor}
%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%{_prefix}/license/

%files -n %{libname}
%license gnu-lgpl-v2.1.md
%license LICENSE
%{_qt6_libdir}/libqtadvanceddocking-qt%{qtmajor}.so.%{version}

%files -n %{devname}
%doc README*
%{_includedir}/qtadvanceddocking-qt%{qtmajor}/
%{_qt6_libdir}/cmake/qtadvanceddocking-qt%{qtmajor}/
%{_qt6_libdir}/libqtadvanceddocking-qt%{qtmajor}.so


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 4.4.0-2.mga10
+ Revision: 2235519
- Mageia 10 Mass Rebuild

* Tue Feb 04 2025 wally <wally> 4.4.0-1.mga10
+ Revision: 2145124
- imported package qtadvanceddocking-qt6

